This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 11689 - step 8: be explicit about the order in which things are located and removed
Summary: step 8: be explicit about the order in which things are located and removed
Status: RESOLVED FIXED
Alias: None
Product: WHATWG
Classification: Unclassified
Component: HTML (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: Unsorted
Assignee: Ian 'Hixie' Hickson
QA Contact: contributor
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-07 08:56 UTC by contributor
Modified: 2012-07-18 18:39 UTC (History)
3 users (show)

See Also:


Attachments

Description contributor 2011-01-07 08:56:53 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/links.html
Section: http://www.whatwg.org/specs/web-apps/current-work/complete.html#atom

Comment:
step 8: be explicit about the order in which things are located and removed

Posted from: 81.234.240.182 by philip@foolip.org
Comment 1 Philip J├Ągenstedt 2011-01-07 09:00:55 UTC
If one isn't paying attention when implementing this step, one might first remove a header element, then find and remove the first element of heading content. This would be wrong in a case like this:

<article>
<header>
<h1>Title</h1>
<time pubdate ...></time>
</header>
Text
<h1>Second title</h1>
More text
</article>

(One might mistakenly remove the second h1 element as well.)
Comment 2 Ian 'Hixie' Hickson 2011-02-08 00:35:39 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 3 contributor 2011-02-08 00:37:33 UTC
Checked in as WHATWG revision r5845.
Check-in comment: Clarify in what order the removals happen.
http://html5.org/tools/web-apps-tracker?from=5844&to=5845